# Uses of Class
org.apache.zookeeper.proto.ConnectRequest

Packages that use ConnectRequest
Package
Description
org.apache.zookeeper.compat
org.apache.zookeeper.proto
org.apache.zookeeper.server
ZooKeeper server theory of operation

## Uses of ConnectRequest in org.apache.zookeeper.compat

Methods in org.apache.zookeeper.compat that return ConnectRequest
Modifier and Type
Method
Description
`ConnectRequest`
ProtocolManager.`deserializeConnectRequest(InputArchive inputArchive)`
Deserializing `ConnectRequest` should be specially handled for request from client version before and including ZooKeeper 3.3 which doesn't understand readOnly field.

## Uses of ConnectRequest in org.apache.zookeeper.proto

Methods in org.apache.zookeeper.proto with parameters of type ConnectRequest
Modifier and Type
Method
Description
`void`
ConnectRequest.`copyFrom(ConnectRequest from)`

## Uses of ConnectRequest in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server with parameters of type ConnectRequest
Modifier and Type
Method
Description
`void`
ZooKeeperServer.`processConnectRequest(ServerCnxn cnxn, ConnectRequest request)`